1. Order
Aurpay API
  • Aurpay Crypto Payment Integration
  • API-Key Authentication Method
    • Order
      • Get Payment URL
      • Get Payment Info
      • Get Orders
      • Get Orders Details
      • Get Orders Refund Info
      • Orders Refund
      • Get Transaction
      • Get Support Crypto Currency List
      • Get Support Real Currency List
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
    • Get API-Key
      POST
  • Signature Authentication Method
    • Order
      • Get Payment URL
        POST
      • Get Payment Info
        POST
      • Get Support Real Currency List
        GET
      • Get Support Crypto Currency List
        GET
      • Get Orders
        GET
      • Get Orders Details
        GET
      • Get Transaction
        GET
      • Get Orders Refund Info
        GET
      • Orders Refund
        POST
    • Wallets
      • Get Wallets List
      • Withdraw Balance
      • Get Self Custody Wallets
    • Bitcoin Lightning Network
      • Get BLN Balance
      • Create BLN Order
      • Create BLN Withdraw
  • Callbakc Description
    • Callback Authentication Method
  1. Order

Get Payment URL

POST
/api/order/pay-url
Generate payment URL for encrypted payment.
Add API-Key in Headers for authentication, which needs to be obtained from /api/plugin/key interface.
Request Body Description
currency - The legal currency used in the order, the valid value can be viewed using /api/order/pay/real-currency API.
price - The fiat currency amount paid for the order.
succend_url - Link to page redirection after the order is completed, if this parameter is not passed, no redirection will be performed.
timeout_url - The page redirection link after the order timeout, if this parameter is not passed, no redirection will be performed.
callback_url - The callback URL after the order is completed, Api-Key will be attached to the request headers.
timeout_callback - The callback URL after the order timeout, Api-Key will be appended to the request headers.
Note: The request body is in JSON format. Please set the API-Key in the request header before executing the request.

Callback Request Details#

Applicable to callback_url and timeout_callback fields
The callback request is a GET request, and a normal response should be 200.
When the order status is successful, the callback_url URL will be requested;
When the order status times out, the timeout_callback URL will be requested.

Request

Body Params application/json

Examples

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://dashboard.aurpay.net/api/order/pay-url' \
--header 'Content-Type: application/json' \
--data '{
    "price": 10, // Order amount in real currency - required
    "currency": "USD", // Real currency type - required
    "succeed_url": "https://example.com/succeed_url", // Redirect URL to checkout page after successful payment
    "timeout_url": "https://example.com/timeout_url", // Redirect URL to checkout page after payment timeout
    "callback_url": "https://example.com/callback_url", // Callback URL(GET) after successful payment
    "timeout_callback": "https://example.com/timeout_callback" // Callback URL(GET) after payment timeout
}'
Response Response Example
{
    "code": 0,
    "message": "ok",
    "data": {
        "pay_url": "https://dashboard.aurpay.net/#/cashier/choose?token=1ad16906cce282a5abe0e666ad99bddf20229630f948e5537f5b46f1f5beee1a"
    },
    "result": true
}
Previous
Signature Authentication Method
Next
Get Payment Info
Built with